List assets
1 min
GET
https://api.cms.optimizely.com/v1/content/{key}/assets
Path Parameters
- keystringrequiredDescription
Query Parameters
- contentTypesstring[]Description
- pageIndexinteger<int32>DescriptionFormatint32Minimum0Maximum10000
- pageSizeinteger<int32>DescriptionFormatint32Minimum1Maximum10000
Responses
200
- ContentNodePageDescription
- itemsContentNode[]Description
- keystringDescription
- containerstringDescription
- ownerstringDescription
- contentTypestringDescription
- primaryLocalestringDescription
- localesstring[]Description
- lastModifiedstring<date-time>DescriptionFormatdate-time
- lastModifiedBystringDescription
- createdstring<date-time>DescriptionFormatdate-time
- createdBystringDescription
- deletedstring<date-time>DescriptionFormatdate-time
- deletedBystringDescription
- pageIndexinteger<int32>DescriptionFormatint32
- pageSizeinteger<int32>DescriptionFormatint32
- totalCountinteger<int32>DescriptionFormatint32
401
403
404
429
- ProblemDetails
- typestring<uri>DescriptionFormaturi
- titlestringDescription
- statusinteger<int32>DescriptionFormatint32Minimum100Maximum599
- detailstringDescription
- instancestring<uri>DescriptionFormaturi
- codestringDescription
- errorsobject[]Description
- detailstringDescription
- fieldstringExampleDescription
Response Headers
- Retry-AfternumberDescription
500
curl
curl --request GET \
--url https://api.cms.optimizely.com/v1/content/{key}/assets \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://api.cms.optimizely.com/v1/content/{key}/assets", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.cms.optimizely.com/v1/content/{key}/assets")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.cms.optimizely.com/v1/content/{key}/assets"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
200
// OK
{
"items": [
{
"key": "",
"container": "",
"owner": "",
"contentType": "",
"primaryLocale": "",
"locales": [
""
],
"lastModified": "",
"lastModifiedBy": "",
"created": "",
"createdBy": "",
"deleted": "",
"deletedBy": ""
}
],
"pageIndex": "",
"pageSize": "",
"totalCount": ""
}401
// Unauthorized
403
// Forbidden
404
// Not Found
429
// Too Many Requests
{
"type": "",
"title": "",
"status": "",
"detail": "",
"instance": "",
"code": "",
"errors": [
{
"detail": "",
"field": "properties.header.displayName"
}
]
}500
// Internal Server Error